import 'package:krow/core/data/models/staff/workin_area.dart';

abstract class WorkingAreaRepository {
  Stream<List<WorkingArea>> getAllWorkingAreas();

  Stream<List<WorkingArea>> getStaffWorkingAreas();

  Future<void> saveWorkingArea(List<String> ids);
}
